Bug 878552 - maven-changelog-plugin: Remove/replace (build)requires on plexus-container-default
maven-changelog-plugin: Remove/replace (build)requires on plexus-container-de...
Product: Fedora
Classification: Fedora
Component: maven-changelog-plugin (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
  Show dependency treegraph
Reported: 2012-11-20 11:52 EST by Stanislav Ochotnicky
Modified: 2013-04-25 10:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.2-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-25 10:32:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch (1.42 KB, patch)
2013-04-10 08:13 EDT, Mikolaj Izdebski
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2012-11-20 11:52:11 EST
Your package maven-changelog-plugin either requires or buildrequires plexus-container-default. This package contains old API which is not commonly used and has not contained maven dependency mappings since September 2011. It means that unless your package is using custom dependency map to build, it is not using plexus-container-default. 

In most cases your package is instead using 'plexus-containers-container-default' package. If any pom.xml files contain reference to groupId:artifactId org.codehaus.plexus:plexus-container-default you can replace plexus-container-default with plexus-containers-container-default. If your pom.xml files don't reference mentioned groupId:artifactId it should be safe to remove completely
Comment 1 Mikolaj Izdebski 2013-04-10 08:13:29 EDT
Still depends on plexus-container-default. Reopening.
Comment 2 Mikolaj Izdebski 2013-04-10 08:13:38 EDT
Created attachment 733659 [details]
Proposed patch
Comment 3 Michal Srb 2013-04-10 08:28:25 EDT
Thanks for the patch, fixed in 2.2-16.
Comment 4 Mikolaj Izdebski 2013-04-15 06:04:23 EDT
Moving to ON_QA:

Note You need to log in before you can comment on or make changes to this bug.